Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Interface Unique

All Superinterfaces:
  DBObject

    public interface Unique

extends DBObject

A `Unique` is a unique constraint on a table

Method Summary
`void` | `append(Field field)` Appends the designated field into a unique constraint.
`Fields` | `fields()` Retrieves the fields of a unique constraint.
`Field` | `fields(int index)` Retrieves the field of a unique constraint by index.
`Field` | `fields(java.lang.String fieldName)` Retrieves the field of a unique constraint by field name.
`Table` | `getParentTable()` Retrieves the parent table of this unique.
`void` | `remove(Field field)` Removes the designated field from a unique constraint.

Methods inherited from interface jet.server.api.db.DBObject
`getName, getProperties, getProperty, getProperty, getUCName, setProperty`

Method Detail

### getParentTable

    Table getParentTable()

  Retrieves the parent table of this unique.

  Returns:
    the table instance.

### fields

    Fields fields()

  Retrieves the fields of a unique constraint.

  Returns:
    the fields of a unique constraint.

### fields

    Field fields(int index)

  Retrieves the field of a unique constraint by index.

  Parameters:
    `index` -
  Returns:
    the field

### fields

    Field fields(java.lang.String fieldName)

  Retrieves the field of a unique constraint by field name.

  Parameters:
    `fieldName` - the field name
  Returns:
    the field

### append

    void append(Field field)

  Appends the designated field into a unique constraint.

  Parameters:
    `field` -

### remove

    void remove(Field field)

  Removes the designated field from a unique constraint.

  Parameters:
    `field` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD